<?php
#------------------------------------------
# Plugin para WDTV Live
# Películas Series.ly
#------------------------------------------
include('funciones.php');
include('funciones-seriesly.php');

function _pluginMain($prmQuery) {
	$website = 'http://series.ly/pelis/index.php';
	$plugin = 'peliculas-seriesly';
	$queryData = array();
	parse_str($prmQuery, $queryData);

	$mi_cookie = _readCookiesSeriesLy();

	// Create a stream
	$opts = array(
			'http'=>array(
					'method'=>"GET",
					'header'=>"Cookie: ".$mi_cookie."\r\n"
			)
	);

	$context = stream_context_create($opts);


	//Estructura Página Inicial
	if ($queryData['inicio'] =='listadoA') { // Listado Alfabético
		$html = file_get_contents($website, false, $context);	
		preg_match_all('/<a href="\/pelis\/search\/l.php\?l=(.*?)">(.*?)<\/a>/',$html, $todo);
		$lista = array ('titulo' => $todo[2],'enlace' => $todo[1]);
		$lista['caratula'] = _IconosAlfabeto(2);
		foreach ($lista['enlace'] as &$value) { $value = $value.'_1';}
		$tipo = 'letra';
	}
	else if ($queryData['inicio'] =='listadoG') { // Listado por Género
		$html = file_get_contents($website, false, $context);	
		preg_match_all('/<a href="\/pelis\/search\/l.php\?gen=([0-9]*?)">(.*?)<\/a>/',$html, $todo);
		$lista = array ('titulo' => $todo[2],'enlace' => $todo[1]);
//		$lista['caratula'] = _IconosAlfabeto(2);
		foreach ($lista['enlace'] as &$value) { $value = $value.'_1';}
		$tipo = 'genero';
	}
	else if ($queryData['inicio'] =='listadoN') { // Últimas películas actualizadas
		$html = file_get_contents($website, false, $context);	
		preg_match_all('/<div><a href="(.*?)"><img src="(.*?)".{62}<h4>(.*?)<\/h4>/',$html, $todo);
		$lista = array ('titulo' => $todo[3],'enlace' => $todo[1], 'caratula' => $todo[2]);
		foreach ($lista['enlace'] as &$value) { $value = 'http://series.ly'.$value;}
		$tipo = 'pelis';
	}
	else if ($queryData['inicio'] =='listadoV' ) { // Películas más votadas
		$html = file_get_contents('http://series.ly/scripts/index.php', false, $context);
		$partes = preg_split( '/<\/h4><ul>/', $html );
		preg_match_all('/<img class="minithumb" src="(.*?)".{30}<span class="ellipsis"><a href="(.*?)">(.*?)<\/a><\/span>/',$partes[2],$todo);
		$lista = array ('titulo' => $todo[3],'enlace' => $todo[2], 'caratula' => $todo[1]);
		foreach ($lista['enlace'] as &$value) { $value = 'http://series.ly'.$value;}
		$tipo = 'pelis';
	}
	else if ($queryData['letra'] !='') {
		$url = 'http://series.ly/scripts/ajax/search.php';
		preg_match('/(.+)_([0-9]+)/', $queryData['letra'], $datos);
		$dataPOST = 'tipo=1&busc=&any=&decada=&l='.$datos[1].'&gen=&top=&pag='.$datos[2]; 
		$optional_headers = "Cookie: ".$mi_cookie."\r\n";
		$html=do_post_request($url, $dataPOST, $optional_headers);
		preg_match_all('/src="(.*?)" \/><\/a>[\s\n\t]*<\/div>[\s\n\t]*<div><a class="tituloAct" href="(.*?)">(.*?)<\/a>/',$html,$todo);
		if( $datos[2] > 1 ) {
			$prevPage = -1 + $datos[2];
			$data = array(
					'letra' => $datos[1]."_".$prevPage
			);

			$retMediaItems[] = array (
							'id'            => 'umsp://plugins/peliculas-seriesly?' . http_build_query($data, 'pluginvar_','&amp;'),
							'dc:title'	=> "Página ".$prevPage,
							'upnp:album_art'=> 'http://i52.tinypic.com/2mpiluo.png',
							'upnp:class'	=> 'object.container'
			);
		}

		for($i=0;$i<count($todo[0]);$i++) {
			$data = array(
					'pelis' => 'http://series.ly'.$todo[2][$i]
			);

			$retMediaItems[] = array (
							'id'		=> 'umsp://plugins/peliculas-seriesly?' . http_build_query($data, 'pluginvar_','&amp;'),
							'dc:title'	=> html_entity_decode($todo[3][$i],0,"UTF-8"),
							'upnp:album_art'=> $todo[1][$i],
							'upnp:class'	=> 'object.container'
			);
		}

		if( preg_match('/<span class="total_results float-left">.*\([0-9]* de ([0-9]*?)\)<\/span>/', $html, $last_page)) {
			if( $datos[2] < $last_page[1]) {
				$nextPage = 1 + $datos[2];
				$data = array(
						'letra' => $datos[1]."_".$nextPage
				);
				$retMediaItems[] = array (
								'id'            => 'umsp://plugins/peliculas-seriesly?' . http_build_query($data, 'pluginvar_','&amp;'),
								'dc:title'	=> "Página ".$nextPage,
								'upnp:album_art'=> 'http://i54.tinypic.com/91mjki.png',
								'upnp:class'	=> 'object.container'
				);
			}
		}

		return $retMediaItems;

	}
	else if ($queryData['genero'] !='') {
		$url = 'http://series.ly/scripts/ajax/search.php';
		preg_match('/(.+)_([0-9]+)/', $queryData['genero'], $datos);
		$dataPOST = 'tipo=1&busc=&any=&decada=&l=&gen='.$datos[1].'&top=&pag='.$datos[2]; 
		$optional_headers = "Cookie: ".$mi_cookie."\r\n";
		$html=do_post_request($url, $dataPOST, $optional_headers);
		preg_match_all('/src="(.*?)" \/><\/a>[\s\n\t]*<\/div>[\s\n\t]*<div><a class="tituloAct" href="(.*?)">(.*?)<\/a>/',$html,$todo);
		if( $datos[2] > 1 ) {
			$prevPage = -1 + $datos[2];
			$data = array(
					'genero' => $datos[1]."_".$prevPage
			);

			$retMediaItems[] = array (
							'id'            => 'umsp://plugins/peliculas-seriesly?' . http_build_query($data, 'pluginvar_','&amp;'),
							'dc:title'	=> "Página ".$prevPage,
							'upnp:album_art'=> 'http://i52.tinypic.com/2mpiluo.png',
							'upnp:class'	=> 'object.container'
			);
		}

		for($i=0;$i<count($todo[0]);$i++) {
			$data = array(
					'pelis' => 'http://series.ly'.$todo[2][$i]
			);

			$retMediaItems[] = array (
							'id'		=> 'umsp://plugins/peliculas-seriesly?' . http_build_query($data, 'pluginvar_','&amp;'),
							'dc:title'	=> html_entity_decode($todo[3][$i],0,"UTF-8"),
							'upnp:album_art'=> $todo[1][$i],
							'upnp:class'	=> 'object.container'
			);
		}

		if( preg_match('/<span class="total_results float-left">.*\([0-9]* de ([0-9]*?)\)<\/span>/', $html, $last_page)) {
			if( $datos[2] < $last_page[1]) {
				$nextPage = 1 + $datos[2];
				$data = array(
						'genero' => $datos[1]."_".$nextPage
				);
				$retMediaItems[] = array (
								'id'            => 'umsp://plugins/peliculas-seriesly?' . http_build_query($data, 'pluginvar_','&amp;'),
								'dc:title'	=> "Página ".$nextPage,
								'upnp:album_art'=> 'http://i54.tinypic.com/91mjki.png',
								'upnp:class'	=> 'object.container'
				);
			}
		}

		return $retMediaItems;
	}
	// Página de películas
	else if ($queryData['pelis']!='') {
		$html = file_get_contents($queryData['pelis'], false, $context);
		preg_match_all('/onclick="window.open\(\'\/scripts\/player\/megavideo_player.php\?idp=([0-9]*?)\'\)"/',$html,$todo);
                preg_match_all('/\'\)"><\/div>(.*?)\n*<span class="info_gran">(.*?)<\/span>/',$html,$todo1);
                for($i = 0; $i < count($todo1[2]); $i++) {
                    $pos=strrpos($todo1[1][$i],"hd_logo");
                            if ($pos === false) {            
                                $tipo[]=$todo1[2][$i]." - Calidad Estandar";
                                $tipo2[]="http://i52.tinypic.com/34g22d5.png";
                                    }
                             else {
                                $tipo[]=$todo1[2][$i]." - Calidad HD";
                                $tipo2[]="http://i53.tinypic.com/35c0j6f.png";
                                  }
                                }
	        $lista = array ('titulo' => $tipo,'enlace' => $todo[1],'caratula' => $tipo2);	
		$tipo = 'enlaces';
	}
	// Página de enlaces a MV y MU
	else if ($queryData['enlaces']!=''){
		@file_get_contents('http://series.ly/scripts/player/megavideo_player.php?idp='.$queryData['enlaces'].'&ver_mv=true', null, $context);
		preg_match_all("/http:\/\/www.megavideo.com\/\?v=(........)/",$http_response_header[5],$mv);

		$codmv[]=$mv[1][0]; 
		$lista = array ('megavid' => $codmv,'megaup' => $mu,'titulo' => 'Enlace MV');

		return _pluginCreateVideoItems($lista,$plugin);

	}
	// inclusión en favoritos
	else if ($queryData['favoritos'] !='') { 
		return _pluginFavorito($queryData['favoritos'],$plugin);
	}
	// Página Inicial
	else
	{
		$lista = array (
		'titulo' => array ('Listado Alfab&eacute;tico','Listado por Categor&iacute;a','Ultimas actualizadas','M&aacute;s Votadas'),
		'enlace' => array ('listadoA','listadoG','listadoN','listadoV' ),
		'caratula' => array ('http://i53.tinypic.com/2rctwn6.jpg','http://i53.tinypic.com/13ztog9.jpg','http://i52.tinypic.com/f4faqo.jpg','http://i53.tinypic.com/20zsiuh.jpg'),
		);
		$tipo = 'inicio';

	}
	return _CrearItems($lista,$plugin,$tipo);
}
 
?>
